lwIP 2.1.2 Lightweight IP stack

Data Structures | Macros | Functions
snmp.h File Reference
`#include "lwip/apps/snmp_opts.h"`
`#include "lwip/err.h"`
`#include "lwip/apps/snmp_core.h"`

## Data Structures
struct | snmp_varbind

## Macros
#define | SNMP_GENTRAP_COLDSTART 0
#define | SNMP_GENTRAP_WARMSTART 1
#define | SNMP_GENTRAP_LINKDOWN 2
#define | SNMP_GENTRAP_LINKUP 3
#define | SNMP_GENTRAP_AUTH_FAILURE 4
#define | SNMP_GENTRAP_EGP_NEIGHBOR_LOSS 5
#define | SNMP_GENTRAP_ENTERPRISE_SPECIFIC 6

## Functions
void | snmp_init (void)
void | snmp_set_mibs (const struct snmp_mib **mibs, u8_t num_mibs)
void | snmp_set_device_enterprise_oid (const struct snmp_obj_id *device_enterprise_oid)
const struct snmp_obj_id * | snmp_get_device_enterprise_oid (void)
void | snmp_trap_dst_enable (u8_t dst_idx, u8_t enable)
void | snmp_trap_dst_ip_set (u8_t dst_idx, const ip_addr_t *dst)
err_t | snmp_send_trap_generic (s32_t generic_trap)
err_t | snmp_send_trap_specific (s32_t specific_trap, struct snmp_varbind *varbinds)
err_t | snmp_send_trap (const struct snmp_obj_id *oid, s32_t generic_trap, s32_t specific_trap, struct snmp_varbind *varbinds)
void | snmp_set_auth_traps_enabled (u8_t enable)
u8_t | snmp_get_auth_traps_enabled (void)
const char * | snmp_get_community (void)
const char * | snmp_get_community_write (void)
const char * | snmp_get_community_trap (void)
void | snmp_set_community (const char *const community)
void | snmp_set_community_write (const char *const community)
void | snmp_set_community_trap (const char *const community)
void | snmp_coldstart_trap (void)
void | snmp_authfail_trap (void)
void | snmp_set_write_callback (snmp_write_callback_fct write_callback, void *callback_arg)

## Detailed Description

SNMP server main API - start and basic configuration

## Macro Definition Documentation

## ◆ SNMP_GENTRAP_AUTH_FAILURE

#define SNMP_GENTRAP_AUTH_FAILURE 4

Generic trap: authentication failure

## ◆ SNMP_GENTRAP_COLDSTART

#define SNMP_GENTRAP_COLDSTART 0

Generic trap: cold start

## ◆ SNMP_GENTRAP_EGP_NEIGHBOR_LOSS

#define SNMP_GENTRAP_EGP_NEIGHBOR_LOSS 5

Generic trap: EGP neighbor lost

## ◆ SNMP_GENTRAP_ENTERPRISE_SPECIFIC

#define SNMP_GENTRAP_ENTERPRISE_SPECIFIC 6

Generic trap: enterprise specific

## ◆ SNMP_GENTRAP_LINKDOWN

#define SNMP_GENTRAP_LINKDOWN 2

Generic trap: link down

## ◆ SNMP_GENTRAP_LINKUP

#define SNMP_GENTRAP_LINKUP 3

Generic trap: link up

## ◆ SNMP_GENTRAP_WARMSTART

#define SNMP_GENTRAP_WARMSTART 1

Generic trap: warm start